Post new topic   Reply to topic
View previous topic Printable version Log in to check your private messages View next topic
Author Message
willowOffline
Post subject: [Closed] libc6 upgrade failed  PostPosted: 31.12.2012, 14:50



Joined: 2011-10-31
Posts: 2
Location: Kiev, Ukraine
Status: Offline
Today I dared to dist-upgrade and ended up reinstalling my system Smile

      Code:

Preparing to replace libc6-i386 2.13-37 (using .../libc6-i386_2.13-38_amd64.deb) ...
Unpacking replacement libc6-i386 ...
Replaced by files in installed package libc6:i386 ...
Preparing to replace libc-dev-bin 2.13-37 (using .../libc-dev-bin_2.13-38_amd64.deb) ...
Unpacking replacement libc-dev-bin ...
Preparing to replace libc6-dev:amd64 2.13-37 (using .../libc6-dev_2.13-38_amd64.deb) ...
Unpacking replacement libc6-dev:amd64 ...
Preparing to replace libc6:amd64 2.13-37 (using .../libc6_2.13-38_amd64.deb) ...
De-configuring libc6:i386 ...
Unpacking replacement libc6:amd64 ...
dpkg-deb: error while loading shared libraries: libz.so.1: cannot open shared object file: No such file or directory
dpkg: error processing /var/cache/apt/archives/libc6_2.13-38_amd64.deb (--unpack):
 subprocess dpkg-deb --fsys-tarfile returned error exit status 127
dpkg-deb: error while loading shared libraries: libz.so.1: cannot open shared object file: No such file or directory
dpkg: error processing /var/cache/apt/archives/libc6_2.13-38_i386.deb (--unpack):
 subprocess dpkg-deb --control returned error exit status 127
Processing triggers for man-db ...
/usr/bin/mandb: error while loading shared libraries: libgdbm.so.3: cannot open shared object file: No such file or directory
Errors were encountered while processing:
 /var/cache/apt/archives/libc6_2.13-38_amd64.deb
 /var/cache/apt/archives/libc6_2.13-38_i386.deb


Last edited by willow on 01.01.2013, 16:58; edited 1 time in total
 
 View user's profile Send private message  
Reply with quote Back to top
piperOffline
Post subject: RE: libc6 upgrade failed  PostPosted: 31.12.2012, 22:28
Moderator


Joined: 2010-09-11
Posts: 480
Location: cheektowaga, ny
Status: Offline
Did you try
      Code:
apt-get -f install
before you reinstalled ?

No problem on 4 machines here

From my main

      Code:
(Reading database ... 149547 files and directories currently installed.)
Preparing to replace libc6:amd64 2.13-37 (using .../libc6_2.13-38_amd64.deb) ...
De-configuring libc6:i386 ...
Unpacking replacement libc6:amd64 ...
Preparing to replace libc6:i386 2.13-37 (using .../libc6_2.13-38_i386.deb) ...
Unpacking replacement libc6:i386 ...
Setting up libc6:amd64 (2.13-38) ...
Setting up libc6:i386 (2.13-38) ...
(Reading database ... 149547 files and directories currently installed.)
Preparing to replace libc6-i686:i386 2.13-37 (using .../libc6-i686_2.13-38_i386.deb) ...
Unpacking replacement libc6-i686:i386 ...
Preparing to replace libcupsimage2:amd64 1.5.3-2.11.1 (using .../libcupsimage2_1.5.3-2.12_amd64.deb) ...
Unpacking replacement libcupsimage2:amd64 ...
Preparing to replace libcupsppdc1:amd64 1.5.3-2.11.1 (using .../libcupsppdc1_1.5.3-2.12_amd64.deb) ...
Unpacking replacement libcupsppdc1:amd64 ...
Preparing to replace libcupscgi1:amd64 1.5.3-2.11.1 (using .../libcupscgi1_1.5.3-2.12_amd64.deb) ...
Unpacking replacement libcupscgi1:amd64 ...
Preparing to replace libcupsmime1:amd64 1.5.3-2.11.1 (using .../libcupsmime1_1.5.3-2.12_amd64.deb) ...
Unpacking replacement libcupsmime1:amd64 ...
Preparing to replace cups-common 1.5.3-2.11.1 (using .../cups-common_1.5.3-2.12_all.deb) ...
Unpacking replacement cups-common ...
Preparing to replace cups-bsd 1.5.3-2.11.1 (using .../cups-bsd_1.5.3-2.12_amd64.deb) ...
Unpacking replacement cups-bsd ...
Preparing to replace cups-client 1.5.3-2.11.1 (using .../cups-client_1.5.3-2.12_amd64.deb) ...
Unpacking replacement cups-client ...
Preparing to replace cups 1.5.3-2.11.1 (using .../cups_1.5.3-2.12_amd64.deb) ...
[ ok ] Stopping Common Unix Printing System: cupsd.
Unpacking replacement cups ...
Preparing to replace libcups2:amd64 1.5.3-2.11.1 (using .../libcups2_1.5.3-2.12_amd64.deb) ...
Unpacking replacement libcups2:amd64 ...
Preparing to replace cups-ppdc 1.5.3-2.11.1 (using .../cups-ppdc_1.5.3-2.12_amd64.deb) ...
Unpacking replacement cups-ppdc ...
Preparing to replace libreadline5:amd64 5.2-12 (using .../libreadline5_5.2+dfsg-1_amd64.deb) ...
Unpacking replacement libreadline5:amd64 ...
Preparing to replace multiarch-support 2.13-37 (using .../multiarch-support_2.13-38_amd64.deb) ...
Unpacking replacement multiarch-support ...
Processing triggers for man-db ...
Setting up multiarch-support (2.13-38) ...
(Reading database ... 149547 files and directories currently installed.)
Preparing to replace locales 2.13-37 (using .../locales_2.13-38_all.deb) ...
Unpacking replacement locales ...
Preparing to replace filelight 4:4.8.4-1 (using .../filelight_4%3a4.8.4-2_amd64.deb) ...
Unpacking replacement filelight ...
Preparing to replace grub-pc 1.99-24 (using .../grub-pc_1.99-25_amd64.deb) ...
Unpacking replacement grub-pc ...
Preparing to replace grub-pc-bin 1.99-24 (using .../grub-pc-bin_1.99-25_amd64.deb) ...
Unpacking replacement grub-pc-bin ...
Preparing to replace grub2-common 1.99-24 (using .../grub2-common_1.99-25_amd64.deb) ...
Unpacking replacement grub2-common ...
Preparing to replace grub-efi-amd64-bin 1.99-24 (using .../grub-efi-amd64-bin_1.99-25_amd64.deb) ...
Unpacking replacement grub-efi-amd64-bin ...
Preparing to replace grub-common 1.99-24 (using .../grub-common_1.99-25_amd64.deb) ...
Unpacking replacement grub-common ...
Preparing to replace quilt 0.60-3 (using .../archives/quilt_0.60-5_all.deb) ...
Unpacking replacement quilt ...
Processing triggers for man-db ...
Processing triggers for lintian ...
Processing triggers for hicolor-icon-theme ...
Processing triggers for install-info ...
Setting up libc-dev-bin (2.13-38) ...
Setting up libc6-dev:amd64 (2.13-38) ...
Setting up libc6-i386 (2.13-38) ...
Setting up libc6-dev-i386 (2.13-38) ...
Setting up libc6-i686:i386 (2.13-38) ...
Setting up libcups2:amd64 (1.5.3-2.12) ...
Setting up libcupsimage2:amd64 (1.5.3-2.12) ...
Setting up libcupsppdc1:amd64 (1.5.3-2.12) ...
Setting up libcupscgi1:amd64 (1.5.3-2.12) ...
Setting up libcupsmime1:amd64 (1.5.3-2.12) ...
Setting up cups-common (1.5.3-2.12) ...
Setting up cups-client (1.5.3-2.12) ...
Setting up cups-bsd (1.5.3-2.12) ...
Setting up cups-ppdc (1.5.3-2.12) ...
Setting up cups (1.5.3-2.12) ...
[ ok ] Starting Common Unix Printing System: cupsd.
Updating PPD files for cups ...
Setting up libreadline5:amd64 (5.2+dfsg-1) ...
Setting up locales (2.13-38) ...
Generating locales (this might take a while)...
  de_CH.UTF-8... done
  de_DE.UTF-8... done
  en_GB.UTF-8... done
  en_US.UTF-8... done
  it_IT.UTF-8... done
  pl_PL.UTF-8... done
  pt_BR.UTF-8... done
  pt_PT.UTF-8... done
  ro_RO.UTF-8... done
Generation complete.
Setting up filelight (4:4.8.4-2) ...
Setting up grub-common (1.99-25) ...
Setting up grub2-common (1.99-25) ...
Setting up grub-pc-bin (1.99-25) ...
Setting up grub-pc (1.99-25) ...
Installation finished. No error reported.


hmm, maybe symlink problems ?

      Code:
dpkg-deb: error while loading shared libraries: libz.so.1: cannot open shared object file: No such file or directory
dpkg: error processing /var/cache/apt/archives/libc6_2.13-38_amd64.deb (--unpack):
 subprocess dpkg-deb --fsys-tarfile returned error exit status 127
dpkg-deb: error while loading shared libraries: libz.so.1: cannot open shared object file: No such file or directory
dpkg: error processing /var/cache/apt/archives/libc6_2.13-38_i386.deb (--unpack):
 subprocess dpkg-deb --control returned error exit status 127
Processing triggers for man-db ...
/usr/bin/mandb: error while loading shared libraries: libgdbm.so.3: cannot open shared object file: No such file or directory

_________________
debian sid | apt-get into it
 
 View user's profile Send private message  
Reply with quote Back to top
slhOffline
Post subject: RE: libc6 upgrade failed  PostPosted: 01.01.2013, 00:16



Joined: 2010-08-25
Posts: 758

Status: Offline
It looks like a multi-arch specific issue, probably also involving a unique package constellation - so it's not a wide spread/ generic problem.
 
 View user's profile Send private message  
Reply with quote Back to top
willowOffline
Post subject: RE: libc6 upgrade failed  PostPosted: 01.01.2013, 16:57



Joined: 2011-10-31
Posts: 2
Location: Kiev, Ukraine
Status: Offline
Made a partition clone to be safe, did dist-upgrade - works ok now.
 
 View user's profile Send private message  
Reply with quote Back to top
Display posts from previous:     
Jump to:  
All times are GMT - 12 Hours
Post new topic   Reply to topic
View previous topic Printable version Log in to check your private messages View next topic
Powered by Zafenio